%define piname	weatherfax_pi
%define sourceversion 1.9.54

Name:		opencpn-weatherfax-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.9.54
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/weatherfax.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{sourceversion}/%{piname}-%{sourceversion}.tar.gz
# link against system libaudiofile, and use system tinyxml.h
Patch1:		weatherfax_pi-1.9.54-system-audiofile.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(audiofile)

Requires:	opencpn
Provides:	%{piname} = %{sourceversion}

%description
Can open image files directly, or decode audio faxes to an image.
With simple calibration, resulting image is overlaid on top of charts.
Converts images in Mercator, polar, conic and uniform coordinates.
Can convert any image into a raster chart.
Built-in database for HF radio fax stations via SSB.
Built-in database for internet retrieval from meteorological sites.


%prep
%setup -q -n %{piname}-%{sourceversion}
%autopatch -p1

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h
rm -rf src/libaudiofile
rm -rf src/tinyxml

# fix plugindir
sed -i 's/PREFIX_LIB lib/PREFIX_LIB %{_lib}/' cmake/PluginInstall.cmake

%build
%cmake 
%cmake_build 

%install

%cmake_install

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sat Feb 25 2023 philippedidier <philippedidier> 1.9.54-2.mga8
+ Revision: 1945406
- New version 1.9.54 add other data providers add coordinates for hurricanes
- rebuilt with program source 1.19.18 but database 1.19.40 - some bug in program source 1.19.39 prevent to activate it
- new version 1.9.39.0
- new version 1.9.39.0
- build with wxgtku3.0 strictly needed instead of 3.1
- update Source0 to 1.9.18 correcting list of fax providers
- change Source0 URL
- new patch to use system audiofile
+ wally <wally>
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 1.9.001-6.mga8
+ Revision: 1667720
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 1.9.001-5.mga8
+ Revision: 1614361
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 1.9.001-4.mga8
+ Revision: 1538687
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.9.001-3.mga8
+ Revision: 1459484
- rebuild for wxgtk 3.1.3

* Sun Jul 14 2019 wally <wally> 1.9.001-2.mga8
+ Revision: 1421060
- rebuild with gtk3 enabled wxgtk 3.1.2

* Fri Apr 19 2019 barjac <barjac> 1.9.001-1.mga7
+ Revision: 1393309
- new version 1.9.001
- re-diffed patch

* Sun Sep 23 2018 umeabot <umeabot> 1.8.002-3.mga7
+ Revision: 1300002
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 1.8.002-2.mga7
+ Revision: 1244933
- fix plugin install dir on x84_64 and aarch64
- own plugin dirs

* Thu Apr 12 2018 barjac <barjac> 1.8.002-1.mga7
+ Revision: 1217703
- new version 1.8.002
- re-diffed patch

* Thu Dec 28 2017 barjac <barjac> 1.7.001-1.mga7
+ Revision: 1186607
- new version 1.7.001
- dont own %%{_libdir}/opencpn
- re-diff weatherfax_pi-system-audiofile.patch
- new BR pkgconfig(librtlsdr)

* Mon Oct 09 2017 cjw <cjw> 1.6.001-3.mga7
+ Revision: 1170485
- patch1: use system libaudiofile + system tinyxml header

* Sat Jun 03 2017 akien <akien> 1.6.001-2.mga6
+ Revision: 1106118
- Rebuild for wxgtk 3.0.3.1

* Mon Oct 10 2016 barjac <barjac> 1.6.001-1.mga6
+ Revision: 1059877
- new version 1.6.001

* Thu Jun 02 2016 daviddavid <daviddavid> 1.5.001-3.mga6
+ Revision: 1019839
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.5.001-2.mga6
+ Revision: 962355
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.5.001-1.mga6
+ Revision: 908797
- new package opencpn-weatherfax-plugin

